Subject: Re: [Last-Call] [Gen-art] Genart last call review of draft-ietf-quic-recovery-32

From: [email-masked]
Date: Tue, 05 Jan 2021 12:12:26 -0500

Vijay, thanks for your review. Jana, thanks for addressing Vijay's comments. I entered a Yes ballot.

Alissa

On Wed, Dec 2, 2020, at 1:44 PM, Lucas Pardue wrote:
> Hi Vijay,
> 
> Thanks for the review! Since the QUIC WG uses a Github Workflow I've 
> created a separate issue for each of the items in your review, see 
> in-line responses for the precise issue link. All issues are track in 
> the milestone https://github.com/quicwg/base-drafts/milestone/22
> 
> We'd appreciate it if you could coordinate with the Recovery document 
> editors via GitHub, on the issue itself and/or any Pull Request that 
> might be raised to address your comments.
> 
> Cheers
> Lars and Lucas
> QUIC WG Co-chairs
> 
> On Wed, Dec 2, 2020 at 5:28 PM Vijay Gurbani via Datatracker 
> <[email-masked]> wrote:
> > Reviewer: Vijay Gurbani
> > Review result: Ready with Nits
> > 
> > I am the assigned Gen-ART reviewer for this draft. The General Area
> > Review Team (Gen-ART) reviews all IETF documents being processed
> > by the IESG for the IETF Chair.  Please treat these comments just
> > like any other last call comments.
> > 
> > For more information, please see the FAQ at
> > 
> > <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> > 
> > Document: draft-ietf-quic-recovery-32
> > Reviewer: Vijay K. Gurbani
> > Review Date: 2020-12-02
> > IETF LC End Date: 2020-11-16
> > IESG Telechat date: Not scheduled for a telechat
> > 
> > Summary: Ready for publication with nits/minor issues.
> > 
> > Major issues: 0
> > 
> > Minor issues: 2 (Sn refers to Section n)
> > 
> > - S1: "Mechanisms described in this document follow the spirit of existing 
> >  TCP congestion control and loss recovery mechanisms, described in RFCs, 
> >  various Internet-drafts, or academic papers ..." ==> It may be helpful
> >  to provide some references to the RFCs and academic papers.  On the
> >  academic paper side, a couple of survey papers may help.  A quick
> >  search indicates the following recent publications may be useful:
> > 
> >  [1] Al-Saadi, R., Armitage, G., But, J. and Branch, P., 2019. A survey 
> >  of delay-based and hybrid TCP congestion control algorithms. IEEE 
> >  Communications Surveys & Tutorials, 21(4), pp.3609-3638.
> >  [2] Widmer, J., Denda, R. and Mauve, M., 2001. A survey on TCP-friendly 
> >  congestion control. IEEE network, 15(3), pp.28-37.
> > 
> >  For RFCs, perhaps rfc5681 is useful to cite?  Any others?
> > 
> > - S4.2, first paragraph: Perhaps citing rfc6298 is helpful here to further
> >  provide information on the "retransmission ambiguity" problem?
> > 
> > Nits/editorial comments: 0
> > 
> > 
> > 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art
>